#def prepare_data(file_in):
"""This script reads .grd files containing Lidar data and
converts to csv/txt format as required for ANUGA.
This script also creates file_list.csv, a list of the
files that have been created (all txt files in the working directory).
"""
from Numeric import array, zeros, Float, allclose
from Scientific.IO.NetCDF import NetCDFFile
from Numeric import array
#import project
import os
from os import sep
import csv
import glob, fnmatch

#folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/original_reference_data/GosfordLidar/Ground/'
folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/anuga/topographies/original/'


#input_grd = glob.glob(folder + '*.grd')
input_grd = [folder+ 'hydro.txt']

for file_in in input_grd:
    #boundary_csv = file_in
    out_file = file_in[:-4] + '_neg.txt'
    print 'Creating', out_file


    # Read the grd file
    fid = open(file_in)

    # Skip first line
    line = fid.readline()

    # Read remaining lines
    lines = fid.readlines()
    fid.close()
    

    N = len(lines)
    X = zeros(N, Float)  #eastin
    Y = zeros(N, Float)  #northing
    Z = zeros(N, Float)  #elevation
    

    for i, line in enumerate(lines):
        fields = line.split(',')

        X[i] = float(fields[0])  #easting
        Y[i] = float(fields[1])  #northing
        Z[i] = -1*abs(float(fields[2]))  #elevation
   


    # Create new csv file
    outwriter = csv.writer(open(out_file,'w'))
    outwriter.writerow(['x','y','elevation'])
    for i, line in enumerate(lines):
        outwriter.writerow([X[i], Y[i], Z[i]])

##filelist = []
##filelist_file = folder+'file_list2.csv'
##
### Create csv file of filenames
##outwriter2 = csv.writer(open(filelist_file,'w'))
##
##for file in os.listdir(folder):
##    if fnmatch.fnmatch(file, '*.txt'):
##        outwriter2.writerow([file])
##


